<?php
include("/var/www/html/libs/misc.lib.php");
include("/var/www/html/configs/default.conf.php");
include("/var/www/html/libs/paloSantoACL.class.php");
include_once("/var/www/html/libs/paloSantoDB.class.php");

session_name("elastixSession");
session_start();
$pDB  = new paloDB($arrConf["elastix_dsn"]["acl"]);
$pACL = new paloACL($pDB);
if(isset($_SESSION["elastix_user"]))
    $elastix_user = $_SESSION["elastix_user"];
else
    $elastix_user = "";
session_commit();
if(!$pACL->isUserAdministratorGroup($elastix_user)){
    $advice = _tr("Unauthorized");
    $msg1 = _tr("You are not authorized to access to this page");
    $msg2 = _tr("You need administrator privileges");
    $template['content']['theme'] = $arrConf['mainTheme'];
    $template['content']['title'] = _tr("Elastix Authentication");
    $template['content']['msg']   =  "<br /><b style='font-size:1.5em;'>$advice</b> <p>$msg1<br/>$msg2</p>";
    extract($template);
    if(file_exists("../elastix_warning_authentication.php"))
       	include("../elastix_warning_authentication.php");
    exit;
}

        $ctype=$_POST['ctype'];
        $cname=$_POST['cname'];

        if( $cname==''){
		echo "0";
        }else{
		echo "1";
                if( $ctype == 'linux'){
                 exec("bash /usr/share/easy-rsa/2.0/linclient.sh ".escapeshellarg(${cname}));

                }

                if( $ctype == 'windows'){
                 exec("bash /usr/share/easy-rsa/2.0/winclient.sh ".escapeshellarg(${cname}));

                }

                if( $ctype == 'yealink'){
                 exec("bash /usr/share/easy-rsa/2.0/yeaclient.sh ".escapeshellarg(${cname}));

                }

                if( $ctype == 'yealink2'){
                 exec("bash /usr/share/easy-rsa/2.0/yeaclient2.sh ".escapeshellarg(${cname}));

                }

                if( $ctype == 'elinux'){
                 exec("bash /usr/share/easy-rsa/2.0/elinclient.sh ".escapeshellarg(${cname}));

                }

                if( $ctype == 'ewindows'){
                 exec("bash /usr/share/easy-rsa/2.0/ewinclient.sh ".escapeshellarg(${cname}));

                }

                if( $ctype == 'snom'){
                 exec("bash /usr/share/easy-rsa/2.0/snomclient.sh ".escapeshellarg(${cname}));

                }

        }


?>
